commit: 74a07ffd1574d848c49e26c5543db331afd64461
Author: Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 22 08:34:49 2016 +0000
Commit: Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Mon Aug 22 08:56:17 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=74a07ffd
dev-python/rope: Stable for amd64. Retroactively mark stable for the remaining
arches using the ALLARCHES policy.
Package-Manager: portage-2.2.28
dev-python/rope/rope-0.10.3.ebuild | 13 ++++++-------
1 file changed, 6 insertions(+), 7 deletions(-)
diff --git a/dev-python/rope/rope-0.10.3.ebuild
b/dev-python/rope/rope-0.10.3.ebuild
index 1e5928a..8b8a0b2 100644
--- a/dev-python/rope/rope-0.10.3.ebuild
+++ b/dev-python/rope/rope-0.10.3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -14,7 +14,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="amd64 x86 ~amd64-linux ~x86-linux"
IUSE="doc"
# Dependency for docbuild documentation which is not noted in
@@ -28,15 +28,14 @@ python_test() {
}
python_compile_all() {
- local i;
if use doc; then
- pushd docs > /dev/null
+ pushd docs > /dev/null || die
mkdir build || die
- for i in ./*.rst
- do
+ local i
+ for i in ./*.rst; do
rst2html.py $i > ./build/${i/rst/html} || die
done
- popd > /dev/null
+ popd > /dev/null || die
fi
}